PrefabFiles = {
	"mandraketree",
}

Assets = {
	Asset( "IMAGE", "minimap/mandraketree.tex" ),
	Asset( "ATLAS", "minimap/mandraketree.xml" ),
}
AddMinimapAtlas("minimap/mandraketree.xml")

STRINGS = GLOBAL.STRINGS
RECIPETABS = GLOBAL.RECIPETABS
Recipe = GLOBAL.Recipe
Ingredient = GLOBAL.Ingredient
TECH = GLOBAL.TECH

	GLOBAL.STRINGS.NAMES.MANDRAKETREE = "Mandrake tree"
	STRINGS.RECIPE_DESC.MANDRAKETREE = "spawn mandrake, attract fireflies!"
	GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.MANDRAKETREE = "weird tree!"
	
local Normal = (GetModConfigData("MANDRAKECOST")=="Normal")
local Survivor = (GetModConfigData("MANDRAKECOST")=="Survivor")
local Easy = (GetModConfigData("MANDRAKECOST")=="Easy")

if Normal then
	AddRecipe("mandraketree",{ Ingredient("livinglog", 5), Ingredient("mandrake", 2), Ingredient("fireflies", 5), Ingredient("nightmarefuel", 10) },
	RECIPETABS.FARM, TECH.NONE, "mandraketree_placer", nil, nil, nil, nil,
	"images/inventoryimages/mandraketree.xml", "mandraketree.tex")

else
if Easy then
	AddRecipe("mandraketree",{ Ingredient("livinglog", 3), Ingredient("mandrake", 1), Ingredient("fireflies", 3), Ingredient("nightmarefuel", 7) },
	RECIPETABS.FARM, TECH.NONE, "mandraketree_placer", nil, nil, nil, nil,
	"images/inventoryimages/mandraketree.xml", "mandraketree.tex")

else
if Survivor then
	AddRecipe("mandraketree",{ Ingredient("livinglog", 8), Ingredient("mandrake", 3), Ingredient("fireflies", 8), Ingredient("nightmarefuel", 15) },
	RECIPETABS.FARM, TECH.NONE, "mandraketree_placer", nil, nil, nil, nil,
	"images/inventoryimages/mandraketree.xml", "mandraketree.tex")
		end
	end
end